import { defineStore } from "pinia";

import piniaPersistConfig from "@/config/piniaPersist";

export const useRefresh = defineStore({
    id: "wms-refresh",
    state: (): any => ({
        isRefreshSubscription: false
    }),
    actions: {
        //订阅列表是否刷新
        async setRefreshSubscription(is: any) {
            this.isRefreshSubscription = is;
        }
    },
    persist: piniaPersistConfig("wms-tabs")
});
